package com.sf.order.domain.res;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 活动信息详情
 *
 */
@Data
@Schema(name = "OrderListResVo", description = "订单列表")
public class OrderListResVo {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 订单状态:
     * 0:待支付
     * 1:已付款
     * 2:支付超时系统结束
     * 3:已完成
     */
    private Long orderStatus;

    /**
     * 订单金额
     */
    private Long orderAmt;

    /**
     * 商品标题
     */
    private String productTitle;
    /**
     * 图片
     */
    private String productPicture;

    /**
     * 商品规格
     */
    private String goodsSpec;
    /**
     * 商品数量
     */
    private Integer goodsCount = 1;

}
